FBZOOM
1
BRL-CAD
BRL-CAD

# fbzoom

modify zoom and window parameters of a frame buffer

      fbzoom
        -F frame_buffer
        -s image_sqrsize
        -w image_width
        -n image_height

## DESCRIPTION

Using vi 1 and/or emacs 1 -like keystrokes, `fbzoom` allows interactive zooming and panning of a frame buffer. Using the optional command line arguments,

`-F frame_buffer`

  explicitly specifies the frame buffer. Otherwise, the environment variable FB_FILE specifies the current framebuffer, see brlcad 1.

`-s image_sqrsize`

  displays the image file as a square, image_sqrsize pixels per side (default is 512x512).

`-w image_width`

  displays the image image_width pixels wide (default is 512).

`-n image_height`

  displays the image image_height pixels high (default is 512).

Fbzoom will display the image currently in the frame buffer and then act on commands entered by the user. Available commands are:

b ^V

  zoom Bigger (*2)

s

  zoom Smaller (*0.5)

+

  zoom Bigger (+1)

-

  zoom Smaller (-1)

h B

  pan Left (1)

j N

  pan Down (1)

k P

  pan Up (1)

l F

  pan Right (1)

H ^B

  pan Left (many)

J ^N

  pan Down (many)

K ^P

  pan Up (many)

L ^F

  pan Right (many)

T

  toggle sense of pan commands

c

  goto Center

z

  zoom 1 1

r

  Reset to normal

q

  Exit

RETURN

  Exit

Note that these commands change the way the frame buffer is viewed but not the image in the frame buffer.

## SEE ALSO

bw-fb 1, gif-fb 1, pix-fb 1, plot3-fb 1, rle-fb 1

## AUTHOR

BRL-CAD Team

## COPYRIGHT

This software is Copyright (c) 1986-2013 by the United States Government as represented by U.S. Army Research Laboratory.

## BUG REPORTS

Reports of bugs or problems should be submitted via electronic mail to <devs@brlcad.org>.